uk.gov.hmrc.http

# HttpGet

###
Related Doc: package http

#### trait HttpGet extends CoreGet with GetHttpTransport with HttpVerb with ConnectionTracing with HttpHooks with Retries

Linear Supertypes
Retries, HttpHooks, ConnectionTracing, HttpVerb, Request, GetHttpTransport, CoreGet, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpGet
2. Retries
3. HttpHooks
4. ConnectionTracing
5. HttpVerb
6. Request
7. GetHttpTransport
8. CoreGet
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type ProcessingFunction = (Future[HttpResponse], String) ⇒ Future[HttpResponse]

   Definition Classes
     HttpVerb
   Annotations
     @deprecated
   Deprecated

     (Since version 18/03/2015) ProcessingFunction is obsolete, use the relevant HttpReads[A] instead

### Abstract Value Members

1. #### abstract def actorSystem: ActorSystem

   Attributes
     protected
   Definition Classes
     Retries

2. #### abstract def configuration: Option[Config]

   Attributes
     protected
   Definition Classes
     Retries

3. #### abstract def doGet(url: String, queryParams: Seq[(String, String)], headers: Seq[(String, String)] = Seq.empty[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]

   Definition Classes
     GetHttpTransport

4. #### abstract def doGet(url: String, queryParams: Seq[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]

   Definition Classes
     GetHttpTransport

5. #### abstract def doGet(url: String)(implicit hc: HeaderCarrier): Future[HttpResponse]

   Definition Classes
     GetHttpTransport

6. #### abstract val hooks: Seq[HttpHook]

   Definition Classes
     HttpHooks

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def GET[A](url: String, queryParams: Seq[(String, String)], headers: Seq[(String, String)])(implicit rds: HttpReads[A], hc: HeaderCarrier, ec: ExecutionContext): Future[A]

   Definition Classes
     HttpGet → CoreGet

5. #### def GET[A](url: String, queryParams: Seq[(String, String)])(implicit rds: HttpReads[A], hc: HeaderCarrier, ec: ExecutionContext): Future[A]

   Definition Classes
     HttpGet → CoreGet

6. #### def GET[A](url: String)(implicit rds: HttpReads[A], hc: HeaderCarrier, ec: ExecutionContext): Future[A]

   Definition Classes
     HttpGet → CoreGet

7. #### val NoneRequired: Seq[HttpHook]

   Definition Classes
     HttpHooks

8. #### def applicableHeaders(url: String)(implicit hc: HeaderCarrier): Seq[(String, String)]

   Definition Classes
     HttpVerb → Request

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def badGatewayMessage(verbName: String, url: String, e: Exception): String

    Definition Classes
      HttpVerb

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### lazy val connectionLogger: Logger

    Definition Classes
      ConnectionTracing

13. #### implicit lazy val ec: ExecutionContext

    Definition Classes
      Retries

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def executeHooks(url: String, verb: String, body: Option[_], responseF: Future[HttpResponse])(implicit hc: HeaderCarrier, ec: ExecutionContext): Unit

    Attributes
      protected
    Definition Classes
      HttpHooks

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatMessage(ld: LoggingDetails, method: String, uri: String, startAge: Long, message: String): String

    Definition Classes
      ConnectionTracing

19. #### def gatewayTimeoutMessage(verbName: String, url: String, e: Exception): String

    Definition Classes
      HttpVerb

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### lazy val internalHostPatterns: Seq[Regex]

    Definition Classes
      HttpVerb

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### def logResult[A](ld: LoggingDetails, method: String, uri: String, startAge: Long)(result: Try[A]): Unit

    Definition Classes
      ConnectionTracing

25. #### def mapErrors(httpMethod: String, url: String, f: Future[HttpResponse])(implicit ec: ExecutionContext): Future[HttpResponse]

    Definition Classes
      HttpVerb

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def retry[A](verb: String, url: String)(block: ⇒ Future[A]): Future[A]

    Definition Classes
      Retries

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### lazy val userAgentHeader: Seq[(String, String)]

    Definition Classes
      HttpVerb

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def withTracing[T](method: String, uri: String)(body: ⇒ Future[T])(implicit ld: LoggingDetails, ec: ExecutionContext): Future[T]

    Definition Classes
      ConnectionTracing

### Inherited from Retries

### Inherited from HttpHooks

### Inherited from ConnectionTracing

### Inherited from HttpVerb

### Inherited from Request

### Inherited from GetHttpTransport

### Inherited from CoreGet

### Inherited from AnyRef

### Inherited from Any

### Ungrouped